2007-11-13  Atsushi Enomoto  <atsushi@ximian.com>

	* RegistrationException.cs IPlaybackControl.cs
	  RegistrationHelperTx.cs IAsyncErrorNotify.cs ITransaction.cs
	  IServiceCall.cs IProcessInitControl.cs IProcessInitializer.cs
	  ContextUtil.cs ServiceConfig.cs : couple of 2.0 API fixes.

2006-05-31  Gert Driesen <drieseng@users.sourceforge.net>

	* SecurityRoleAttribute.cs: Set AllowMultiple to true.
	* InterfaceQueueingAttribute.cs: Set AllowMultiple to true.
	* ObjectPoolingAttribute.cs: Implement IConfigurationAttribute.
	* SecureMethodAttribute.cs: Attribute is not valid on assemblies.
	* BOID.cs: Added MarshalAs attribute to match MS.NET.

2006-05-31  Gert Driesen <drieseng@users.sourceforge.net>

	* AccessChecksLevelOption.cs: Fixed line endings. Set eol-style to CRLF.
	* ActivationOption.cs: Fixed line endings. Set eol-style to CRLF.
        * Activity.cs: Fixed line endings. Set eol-style to CRLF.
        * ApplicationAccessControlAttribute.cs: Set eol-style to native.
        * ApplicationActivationAttribute.cs: Set eol-style to native.
        * ApplicationIDAttribute.cs: Set eol-style to native.
        * ApplicationNameAttribute.cs: Set eol-style to native.
        * ApplicationQueuingAttribute.cs: Fixed line endings. Set eol-style 
	to CRLF.
        * AuthenticationOption.cs: Set eol-style to native.
        * AutoCompleteAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * BindingOption.cs: Fixed line endings. Set eol-style to CRLF.
        * BOID.cs: Fixed line endings. Set eol-style to CRLF.
        * BYOT.cs: Fixed line endings. Set eol-style to CRLF.
        * ComponentAccessControlAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * COMTIIntrinsicsAttribute.cs: Fixed line endings. Set eol-style 
	to CRLF.
        * ConstructionEnabledAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * ContextUtil.cs: Fixed line endings. Set eol-style to CRLF.
        * DescriptionAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * EventClassAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * EventTrackingEnabledAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * ExceptionClassAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * IAsyncErrorNotify.cs: Fixed line endings. Set eol-style to CRLF.
        * IConfigurationAttribute.cs: Set eol-style to native.
        * IISIntrinsicsAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * ImpersonationLevelOption.cs: Set eol-style to native.
        * InheritanceOption.cs: Fixed line endings. Set eol-style to CRLF.
        * InstallationFlags.cs: Set eol-style to native.
        * InterfaceQueuingAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * IPlaybackControl.cs: Fixed line endings. Set eol-style to CRLF.
        * IProcessInitControl.cs: Fixed line endings. Set eol-style to CRLF.
        * IProcessInitializer.cs: Set eol-style to native.
        * IRegistrationHelper.cs: Set eol-style to native.
        * IRemoteDispatch.cs: Fixed line endings. Set eol-style to CRLF. Set
	Autocomplete to false for RemoteDispatchNotAutoDone method.
        * ISecurityCallContext.cs: Fixed line endings. Set eol-style to CRLF.
        * ISecurityCallersColl.cs: Fixed line endings. Set eol-style to CRLF.
        * ISecurityIdentityColl.cs: Fixed line endings. Set eol-style to CRLF.
        * IServiceCall.cs: Fixed line endings. Set eol-style to CRLF.
        * IServicedComponentInfo.cs: Fixed line endings. Set eol-style to CRLF.
        * ISharedProperty.cs: Fixed line endings. Set eol-style to CRLF.
        * ISharedPropertyGroup.cs: Fixed line endings. Set eol-style to CRLF.
        * ITransaction.cs: Fixed line endings. Set eol-style to CRLF.
        * JustInTimeActivationAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * LoadBalancingSupportedAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * MustRunInClientContextAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * ObjectPoolingAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * PartitionOption.cs: Fixed line endings. Set eol-style to CRLF.
        * PrivateComponentAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * PropertyLockMode.cs: Set eol-style to native.
        * PropertyReleaseMode.cs: Set eol-style to native.
        * RegistrationConfig.cs: Fixed line endings. Set eol-style to CRLF.
        * RegistrationErrorInfo.cs: Fixed line endings. Set eol-style to CRLF.
        * RegistrationException.cs: Fixed line endings. Set eol-style to CRLF.
        * RegistrationHelper.cs: Set eol-style to native.
        * RegistrationHelperTx.cs: Set eol-style to native.
        * ResourcePool.cs: Fixed line endings. Set eol-style to CRLF.
        * SecureMethodAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * SecurityCallContext.cs: Fixed line endings. Set eol-style to CRLF.
        * SecurityCallers.cs: Fixed line endings. Set eol-style to CRLF.
        * SecurityIdentity.cs: Fixed line endings. Set eol-style to CRLF.
        * SecurityRoleAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * ServiceConfig.cs: Fixed line endings. Set eol-style to CRLF.
        * ServicedComponent.cs: Fixed line endings. Set eol-style to CRLF.
        * ServicedComponentException.cs: Fixed line endings. Set eol-style
	to CRLF.
        * ServiceDomain.cs: Fixed line endings. Set eol-style to CRLF.
        * SharedProperty.cs: Fixed line endings. Set eol-style to CRLF.
        * SharedPropertyGroup.cs: Fixed line endings. Set eol-style to CRLF.
        * SharedPropertyGroupManager.cs: Fixed line endings. Set eol-style
	to CRLF.
        * SxsOption.cs: Fixed line endings. Set eol-style to CRLF.
        * SynchronizationAttribute.cs: Fixed line endings. Set eol-style
	to CRLF.
        * SynchronizationOption.cs: Set eol-style to native.
        * ThreadPoolOption.cs: Fixed line endings. Set eol-style to CRLF.
        * TransactionAttribute.cs: Fixed line endings. Set eol-style to CRLF.
        * TransactionIsolationLevel.cs: Set eol-style to native.
        * TransactionOption.cs: Set eol-style to native.
        * TransactionStatus.cs: Fixed line endings. Set eol-style to CRLF.
        * TransactionVote.cs: Set eol-style to native.
        * XACTTRANSINFO.cs: Fixed line endings. Set eol-style to CRLF.

2004-06-18  Gert Driesen <drieseng@users.sourceforge.net>

	* AuthenticationOption.cs: fixed enum field values to match MS.NET
	* IProcessInitializer.cs: added missing marshalling attributes
 	* IRegistrationHelper.cs: added missing marshalling attributes
	* ImpersonationLevelOption: fixed enum field values to match MS.NET
	* InstallationFlags: fixed enum field values to match MS.NET
	* PropertyLockMode: fixed enum field values to match MS.NET
	* PropertyReleaseMode: fixed enum field values to match MS.NET
	* RegistrationHelper: added missing marshalling attributes
	* RegistrationHelperTx: added missing marshalling attributes
	* SynchronizationOption: fixed enum field values to match MS.NET
	* TransactionIsolationLevel: fixed enum field values to match MS.NET
	* TransactionVote: fixed enum field values to match MS.NET

2004-06-11  Gert Driesen <drieseng@users.sourceforge.net>

	* RegistrationHelperTx.cs: added missing attribute on class
	* TransactionOption.cs: corrected values of enum fields

2004-05-15  Gert Driesen <drieseng@users.sourceforge.net>

	* ServiceDomain.cs: added private ctor to match MS
	* BYOT.cs: added private ctor to match MS
	* RegistrationErrorInfo.cs: marked ctor internal

2004-05-15  Gert Driesen <drieseng@users.sourceforge.net>

	* IConfigurationAttribute.cs: added
	* ApplicationAccessControlAttribute.cs:
	* ApplicationActivationAttribute.cs:
	* ApplicationIDAttribute.cs:
	* ApplicationNameAttribute.cs: stubbed implementation of 
	IConfigurationAttribute

2004-05-13  Mike Kestner <mkestner@ximian.com>

	* RegistrationHelper.cs : add Guid and 2 methods
	* RegistrationHelperTx.cs : add Guid and 2 methods
	* SynchronizationAttribute.cs : add ComVisible

2004-05-13  Mike Kestner <mkestner@ximian.com>

	* ContextUtil.cs : fix sigs for 2 methods
	* RegistrationConfig.cs : impl

2004-05-13  Mike Kestner <mkestner@ximian.com>

	* EventTrackingEnabledAttribute.cs : add ComVisible
	* ExceptionClassAttribute.cs : add ComVisible
	* IISIntrinsicsAttribute.cs : add ComVisible
	* InterfaceQueuingAttribute.cs : add ComVisible
	* JustInTimeActivationAttribute.cs : add ComVisible
	* LoadBalancingSupportedAttribute.cs : add ComVisible
	* MustRunInClientContextAttribute.cs : add ComVisible
	* ObjectPoolingAttribute.cs : add ComVisible
	* PrivateComponentAttribute.cs : add ComVisible

2004-05-13  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* RegistrationHelper.cs: fixed the build on windows. I will file a bug
	report on mcs for this.

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* ApplicationAccessControlAttribute.cs : Add ComVisible and
	s/Impersonation/ImpersonationLevel.
	* ApplicationActivationAttribute.cs : Add ComVisible
	* ApplicationIDAttribute.cs : Add ComVisible
	* ApplicationNameAttribute.cs : Add ComVisible
	* ApplicationQueuingAttribute.cs : Add ComVisible
	* AutoCompleteAttribute.cs : Add ComVisible
	* ComponentAccessControlAttribute.cs : Add ComVisible and remove
	set_Value.
	* COMTIIntrinsicsAttribute.cs : Add ComVisible and remove set_Value.
	* ConstructionEnabledAttribute.cs : Add ComVisible, add Enabled, and 
	remove set_Value.
	* DescriptionAttribute.cs : Add ComVisible
	* EventClassAttribute.cs : Add ComVisible and s/InProc/Inproc.
	* SecureMethodAttribute.cs : Add ComVisible
	* SecurityRoleAttribute.cs : Add ComVisible
	* ServicedComponentException.cs : Add ComVisible

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* BOID.cs : add ComVisible attr.
	* ServiceDomain.cs : impl
	* SynchronizationAttribute.cs : add ComVisible attr
	* TransactionAttribute.cs : add ComVisible attr
	* XACTRRANSINFO.cs : add ComVisible attr.

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* TransactionStatus.cs : impl

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* Activity.cs : stub
	* BindingOption.cs : impl
	* InheritanceOption.cs : impl
	* PartitionOption.cs : impl
	* ServiceConfig.cs : stub
	* SxsOption.cs : impl
	* ThreadPoolOption.cs : impl

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* IAsyncErrorNotify.cs : oops, should be public
	* IProcessInitComponent.cs : ditto
	* IProcessInitializer.cs : ditto
	* IServiceCall.cs : ditto

2004-05-12  Mike Kestner <mkestner@ximian.com>

	* IAsyncErrorNotify.cs : implement new 1.1 iface.
	* IPlaybackControl.cs : implement new 1.1 iface.
	* IProcessInitComponent.cs : implement new 1.1 iface.
	* IProcessInitializer.cs : implement new 1.1 iface.
	* IRegistrationHelper.cs : add GUID, fix some param passing.
	* IRemoteDispatch.cs : add GUID
	* IServiceCall.cs : implement new 1.1 iface.
	* IServicedComponentInfo.cs : add GUID
	* ITransaction.cs : add GUID

2002-08-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* RegistrationHelper.cs: fixed compilation.

2002-08-09  Tim Coleman <tim@timcoleman.com>
	* RegistrationHelperTx.cs:
		Commit the add of RegistrationHelperTx.cs

2002-08-08  Tim Coleman <tim@timcoleman.com>
        * ISecurityCallContext.cs:
        * ISecurityCallersColl.cs:
        * ISecurityIdentityColl.cs:
        * ISharedProperty.cs:
        * ISharedPropertyGroup.cs:
        * RegistrationHelperTx.cs:
        * ResourcePool.cs:
        * SecureMethodAttribute.cs:
        * SecurityCallContext.cs:
        * SecurityCallers.cs:
        * SecurityIdentity.cs:
        * SecurityRoleAttribute.cs:
        * ServicedComponentException.cs:
        * SharedProperty.cs:
        * SharedPropertyGroup.cs:
        * SharedPropertyGroupManager.cs:
        * SynchronizationAttribute.cs:
        * SynchronizationOption.cs:
        * TransactionAttribute.cs:
        * TransactionIsolationLevel.cs:
                New files added.
        * ContextUtil.cs:
                New internal constructor added, methods added.
        * IRemoteDispatch.cs:
                AutoComplete attributes added to methods
        * TODOAttribute.cs:
                Namespace adjusted.


2002-08-07  Tim Coleman <tim@timcoleman.com>
	* RegistrationErrorInfo.cs:
	* RegistrationException.cs:
	* RegistrationHelper.cs:
	* ServicedComponent.cs:
		New stubs added

2002-08-06  Tim Coleman <tim@timcoleman.com>	
	* IRegistrationHelper.cs:	
	* IRemoteDispatch.cs:
	* IServicedComponentInfo.cs:
	* ITransaction.cs:
		Comment out Guid attribute for now
		because it doesn't build with CSC unless
		you supply a valid Guid.

2002-08-06  Tim Coleman <tim@timcoleman.com>
	* DescriptionAttribute.cs:
	* EventClassAttribute.cs:
	* EventTrackingEnabledAttribute.cs:
	* ExceptionClassAttribute.cs:
	* IISIntrinsicsAttribute.cs:
	* IRegistrationHelper.cs:
	* IRemoteDispatch.cs:
	* IServicedComponentInfo.cs:
	* ITransaction.cs:
	* InstallationFlags.cs:
	* InterfaceQueuingAttribute.cs:
	* JustInTimeActivationAttribute.cs:
	* LoadBalancingSupportedAttribute.cs:
	* MustRunInClientContextAttribute.cs:
	* ObjectPoolingAttribute.cs:
	* PrivateComponentAttribute.cs:
	* PropertyLockMode.cs:
	* PropertyReleaseMode.cs:
	* XACTTRANSINFO.cs:
		New stubs added.

2002-08-03  Tim Coleman <tim@timcoleman.com>
	* AccessChecksLevelOption.cs:
	* ActivationOption.cs:
	* ApplicationAccessControlAttribute.cs:
	* ApplicationActivationAttribute.cs:
	* ApplicationIDAttribute.cs:
	* ApplicationNameAttribute.cs:
	* ApplicationQueuingAttribute.cs:
	* AuthenticationOption.cs:
	* AutoCompleteAttribute.cs:
	* BOID.cs:
	* BYOT.cs:
	* COMTIIntrinsicsAttribute.cs:
	* ComponentAccessControlAttribute.cs:
	* ConstructionEnabledAttribute.cs:
	* ContextUtil.cs:
	* ImpersonationLevelOption.cs:
	* TransactionVote.cs:
		New stubs added

2002-07-22 Tim Coleman  <tim@timcoleman.com>
	* TransactionOption.cs: New enum added as
		required by System.Web.Services
